# Class ReflectManager

java.lang.Object
bsh.ReflectManager

Direct Known Subclasses:
  `ReflectManagerImpl`

public abstract class ReflectManager extends Object
ReflectManager is a dynamically loaded extension that supports extended reflection features supported by JDK1.2 and greater. In particular it currently supports accessible method and field access supported by JDK1.2 and greater.

## Constructor Summary

Constructors
Constructor
Description
`ReflectManager()`

## Method Summary

Modifier and Type
Method
Description
`static ReflectManager`
`getReflectManager()`
Return the singleton bsh ReflectManager.
`static boolean`
`RMSetAccessible(Object obj)`
Reflect Manager Set Accessible.
`abstract boolean`
`setAccessible(Object o)`
Set a java.lang.reflect Field, Method, Constructor, or Array of accessible objects to accessible mode.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectManager

public ReflectManager()

## Method Details

### getReflectManager

public static ReflectManager getReflectManager() throws Capabilities.Unavailable
Return the singleton bsh ReflectManager.

Throws:
  `Capabilities.Unavailable`

### RMSetAccessible

public static boolean RMSetAccessible(Object obj) throws Capabilities.Unavailable
Reflect Manager Set Accessible. Convenience method to invoke the reflect manager.

Throws:
  `Capabilities.Unavailable`

### setAccessible

public abstract boolean setAccessible(Object o)
Set a java.lang.reflect Field, Method, Constructor, or Array of accessible objects to accessible mode.

Returns:
  true if the object was accessible or false if it was not.